using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC.PM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PE
{
    [Description("评价方法表")]
    public class T_PE_SAFETY_EVALUATION_PLAN_METHOD : MesEntityBase
    {
        [Description("安全标准化内部评价计划录入细表")]
        [DataFieldForeignKey("Nav_EvaluationDetail", "Nav_EvaluationMethod")]
        public Guid EVALUATION_PLAN_DETAIL_ID { get; set; }

        [Description("安全标准化内部评价计划录入细表")]
        public virtual T_PE_SAFETY_EVALUATION_PLAN_DETAIL Nav_EvaluationDetail { get; set; }

        [Description("评价方法")]
        [DataFieldForeignKey("Nav_Method")]
        public Guid? METHOD_ID { get; set; }

        [Description("评价方法")]
        public virtual T_PE_EVALUATION_METHOD Nav_Method { get; set; }
    }
}
